KCAPI_MD_FINAL(3)

NAME
kcapi_md_final - message digest finalization function (stream)

SYNOPSIS

ssize_t kcapi_md_final(struct kcapi_handle * handle, uint8_t * buffer, size_t len);

ARGUMENTS

handle
    [in] cipher handle

buffer
    [out] filled with the message digest

len
    [in] buffer length

DESCRIPTION

return size of message digest upon success; -EIO - data cannot be obtained; -ENOMEM - buffer is too small for the complete message digest, the buffer is filled with the truncated message digest

AUTHOR

Stephan Mueller <smueller@chronox.de>
    Author.

COPYRIGHT